VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::content::library::item::TransferEndpoint Class Reference

The `TransferEndpoint` class encapsulates a URI along with extra information about it. More...

List of all members.

## Public Member Functions
| TransferEndpoint ()
| Creates a default new instance.
global::System.Uri | GetUri ()
| Transfer endpoint URI.
void | SetUri (global::System.Uri uri)
| Transfer endpoint URI.
string | GetSslCertificateThumbprint ()
| Thumbprint of the expected SSL certificate for this endpoint.
void | SetSslCertificateThumbprint (string sslCertificateThumbprint)
| Thumbprint of the expected SSL certificate for this endpoint.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `TransferEndpoint` class encapsulates a URI along with extra information about it.

## Constructor & Destructor Documentation

vmware::content::library::item::TransferEndpoint::TransferEndpoint | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::content::library::item::TransferEndpoint::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::content::library::item::TransferEndpoint::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::content::library::item::TransferEndpoint::_GetType | ( |  | ) | `[inline]`

bool vmware::content::library::item::TransferEndpoint::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::content::library::item::TransferEndpoint::_Validate | ( |  | ) | `[inline]`

override bool vmware::content::library::item::TransferEndpoint::Equals | ( | object | obj | ) | `[inline]`

override int vmware::content::library::item::TransferEndpoint::GetHashCode | ( |  | ) | `[inline]`

string vmware::content::library::item::TransferEndpoint::GetSslCertificateThumbprint | ( |  | ) | `[inline]`

Thumbprint of the expected SSL certificate for this endpoint.

Only used for HTTPS connections. The thumbprint is the SHA-1 hash of the DER encoding of the remote endpoint's SSL certificate. If set, the remote endpoint's SSL certificate is only accepted if it matches this thumbprint, and no other certificate validation is performed.

global::System.Uri vmware::content::library::item::TransferEndpoint::GetUri | ( |  | ) | `[inline]`

Transfer endpoint URI.

The supported URI schemes are: `http` , `https` , `file` , and `ds` .

An endpoint URI with the `ds` scheme specifies the location of the file on the datastore. The format of the datastore URI is:

- ds:///vmfs/volumes/uuid/path

Some examples of valid file URI formats are:

- file:///path
- file:///C:/path
- file://unc-server/path

When the transfer endpoint is a file or datastore location, the server can import the file directly from the storage backing without the overhead of streaming over HTTP.

void vmware::content::library::item::TransferEndpoint::SetSslCertificateThumbprint | ( | string | sslCertificateThumbprint | ) | `[inline]`

Thumbprint of the expected SSL certificate for this endpoint.

Only used for HTTPS connections. The thumbprint is the SHA-1 hash of the DER encoding of the remote endpoint's SSL certificate. If set, the remote endpoint's SSL certificate is only accepted if it matches this thumbprint, and no other certificate validation is performed.

void vmware::content::library::item::TransferEndpoint::SetUri | ( | global::System.Uri | uri | ) | `[inline]`

Transfer endpoint URI.

The supported URI schemes are: `http` , `https` , `file` , and `ds` .

An endpoint URI with the `ds` scheme specifies the location of the file on the datastore. The format of the datastore URI is:

- ds:///vmfs/volumes/uuid/path

Some examples of valid file URI formats are:

- file:///path
- file:///C:/path
- file://unc-server/path

When the transfer endpoint is a file or datastore location, the server can import the file directly from the storage backing without the overhead of streaming over HTTP.

override string vmware::content::library::item::TransferEndpoint::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- TransferEndpoint.cs